Package org.eclipse.emf.cdo.common.commit

# Interface CDOChangeSetDataProvider

All Known Subinterfaces:
  `CDOFileTransaction`, `CDONestedTransaction`, `CDOSavepoint`, `CDOTransaction`, `DelegatingCDOTransaction`, `InternalCDOSavepoint`, `InternalCDOTransaction`

All Known Implementing Classes:
  `CDOChangeSetDataRevisionProvider`, `CDOPushTransaction`

public interface CDOChangeSetDataProvider
Provides consumers with `change set data` structures.

Since:
  4.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOChangeSetData`
`getChangeSetData()`

## Method Details

### getChangeSetData

CDOChangeSetData getChangeSetData()